<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" /> 

<html>
<head><meta http-equiv="Content-Type" content="text/html; charset=gb18030"><title>Recaudos</title></head>
<style type="text/css" media="all">@import "./estilos.css";</style>
<link rel="icon" type="image/png" href="imagenes/hdIcon.png" />


<?php  
  include("header.php");
  include("conexionOdo.php");
  
  session_start();
  $s_identifica = $_SESSION['cedula'];
  $s_tipoId     = $_SESSION['tipoId'];
  
  $s_nitEmpresa = $_SESSION['nitEmpresa'];
  $s_codSede    = $_SESSION['codSede'];
  $s_idUsuario  = $_SESSION['idUsuario'];
  
  if(isset($_GET['anular']))
  {
    $factura = $_GET['anular'];
    
    //TRAE EL NUMERO DE CUENTA   
    $query = "UPDATE SIO_CON_PACIENTE SET pagado=NULL, numfactura=0 WHERE numfactura=$factura";
    $result = mysql_query($query) or die('Actualizacion de estado fallida: ' . mysql_error());  
    $line = mysql_fetch_array($result, MYSQL_ASSOC);
    
    //ANULA EN ENCABEZADO DE FACTURAS
    $query = " UPDATE SIO_FACENCABEZA_PAC  SET estado='A' WHERE numfactura=$factura ";
    $result = mysql_query($query) or die('Anulacion de factura fallida: ' . mysql_error());   
    
    //ANULA EN DETALLE DE FACTURAS
    $query = " UPDATE SIO_FACTURAS_PAC  SET estado='A' WHERE numfactura=$factura ";
    $result = mysql_query($query) or die('Anulacion de factura fallida: ' . mysql_error());    
  }  
  
?>



<table align="center" width="960">
  <tr class="camposLista">
    <td width="100%"  align="center"><span class="icon-stack" style="font-size:20px; color:rgba(41, 128, 185, 1);"> <span style="font-size:20px; font-family:Arial; color:#e67e22;"> HISTORIAL DE RECAUDOS </span> </span></td> 
   </tr>
</table>


<form method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>">
<?php
   $query  = " SELECT * FROM SIO_FACENCABEZA_PAC ".
             " WHERE tipoId='$s_tipoId' AND idPaciente=$s_identifica AND nitEmpresa=$s_nitEmpresa";          
   $result = mysql_query($query) or die('Consulta de servicios fallida: ' . mysql_error());
   
   $i=0;
   while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
     $s_numFactura = $line['numFactura'];
     $s_numConsulta = $line['numConsulta'];
     $s_tipoHistoria = $line['tipoHistoria'];
     $s_valorTotal  = $line['valorTotal'];
     $s_fecha      = $line['fecha'];
     $s_estado     = $line['estado'];
     
     if ($s_estado=="I"){
       $est="IMPRESA";
     }
     
     if ($s_estado=="A"){
       $est="ANULADA";
     }
     
     $total = number_format($s_valorTotal);
     
     echo("<table align='center' width='960' border='0' cellpading='0'>\n");
       //echo ("<form method='post' action='historiaClinica.php'>\n");
       if ($i==0){// para mostrar titulos 
         echo("<tr class='titulosLista'>\n");
            echo   ("<td align='center' colspan='5'>LISTA DE RECAUDOS REALIZADOS</td>\n");
         echo("</tr>\n");
         echo("<tr class='camposLista'>\n");
            echo("<td width='150' align='left'><b>Toque para Detalles</b></td>\n");         
            echo("<td width='200' align='left'><b>Historia No</b></td>\n");
            echo("<td width='150' align='left'><b>Fecha</b></td>\n");
            echo("<td width='150' align='left'><b>Valor</b></td>\n");
            echo("<td width='150' align='left'><b>Estado</b></td>\n");
            echo("<td width='150' align='left'><b>Anular</b></td>\n");
         echo("</tr>\n");
       }
       echo("<tr class='camposLista'>\n");   
       
        echo("<td width='150'align='left'><a href=recaudoConsultar.php?numFactura=$s_numFactura&consulta=$s_numConsulta&fecha=$s_fecha&estado=$s_estado><span class='icon-zoom-in' style='font-size:14px; color:rgba(41, 128, 185, 1);'> <span style='font-size:14px; font-family:Arial; color:rgba(41, 128, 185);'>$s_numFactura</a></td>\n");
             
           echo("<td width='200' align='left'>$s_tipoHistoria No. $s_numConsulta</td>\n");
           echo("<td width='150' align='left'>$s_fecha</td>\n");
           echo("<td width='150' align='left'>$ $total</td>\n"); 
           echo("<td width='150' align='left'>$est</td>\n");
             
           
           if ($s_estado=="I"){
             echo("<td width='150' align='left'><input type='submit' id='anular' name='anular' value=$s_numFactura style='width:70'  onclick='return confirmation()'></td>\n");
           }
           else
           {
            echo("<td width='150' align='left'>$s_numFactura</td>\n");
           }
        echo("</tr>\n");
       $i = $i+1;
   }//while
   echo("</table>\n");  
 
?>  
</form>

<script type="text/javascript">
  function confirmation() {
    if(confirm("Realmente desea anular el recaudo?"))
    {
        return true;
    }
    return false;
  }
 </body>
</html>  